namespace ChartControl.Ofc
{
    public abstract class AbstractOfcBarSeriesType : AbstractOfcSeriesType
    {
        public const int DEFAULT_ALPHA = 50;

        private string color = "";
        private string text = "";
        private double fontSize;
        private int alpha = DEFAULT_ALPHA;

        public AbstractOfcBarSeriesType(OfcSeriesType type)
            : base(type)
        {
        }
        public AbstractOfcBarSeriesType(
            OfcSeriesType type,
            int alpha)
            : this(type, alpha, "", "", 0)
        {
        }
        public AbstractOfcBarSeriesType(
            OfcSeriesType type,
            int alpha,
            string color,
            string text)
            : this(type, alpha, color, text, 0)
        {
        }

        public AbstractOfcBarSeriesType(
            OfcSeriesType type,
            int alpha,
            string color,
            string text,
            int fontSize)
            : base(type)
        {

            this.alpha = alpha;
            this.color = color;
            this.text = text;
            this.fontSize = fontSize;
        }

        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        public double FontSize
        {
            get { return fontSize; }
            set { fontSize = value; }
        }

        public int Alpha
        {
            get { return alpha; }
            set { alpha = value; }
        }
    }
}