namespace ChartControl.Ofc
{
    public abstract class AbstractOfcLineSeriesType : AbstractOfcSeriesType
    {
        private int width;
        private string color = "";
        private string text = "";
        private double fontSize;
        private double dotSize;

        public AbstractOfcLineSeriesType(OfcSeriesType type)
            : base(type)
        {
        }
        public AbstractOfcLineSeriesType(
            OfcSeriesType type,
            int width)
            : this(type, width, "", "", 0, 0)
        {
        }
        public AbstractOfcLineSeriesType(
            OfcSeriesType type,
            int width,
            string color,
            string text)
            : this(type, width, color, text, 0, 0)
        {

        }
        public AbstractOfcLineSeriesType(
            OfcSeriesType type,
            int width,
            string color,
            string text,
            int fontSize,
            int dotSize)
            : base(type)
        {


            this.width = width;
            this.color = color;
            this.text = text;
            this.fontSize = fontSize;
            this.dotSize = dotSize;
        }

        public int Width
        {
            get { return width; }
            set { width = value; }
        }

        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        public double FontSize
        {
            get { return fontSize; }
            set { fontSize = value; }
        }

        public double DotSize
        {
            get { return dotSize; }
            set { dotSize = value; }
        }
    }
}