namespace ChartControl.Ofc
{
    public abstract class AbstractOfcSeriesType : IOfcRenderer
    {
        private OfcSeriesType type;
        private int index;
        private static readonly string[] seriesTypes = {"line", "line_dot", "line_hollow", "area_hollow", "bar", "filled_bar"};

        public AbstractOfcSeriesType(OfcSeriesType type)
        {
            this.type = type;
        }
        
        public OfcSeriesType Type
        {
            get { return type; }
            set { type = value; }
        }

        public int Index
        {
            get { return index; }
            set { index = value; }
        }

        internal string SerieType()
        {
            return seriesTypes[(int)type];
        }

        #region IRenderer Members

        public virtual string Render()
        {
            string value = "&" + SerieType();
            if (index > 0)
            {
                value += "_" + index;
            }
            value += "=&";

            return value;
        }

        #endregion
    }
}