namespace ChartControl.Ofc
{
    public class OfcBar3DSeriesType : AbstractOfcBarSeriesType
    {
        public OfcBar3DSeriesType()
            : base(OfcSeriesType.SERIES_BAR_3D)
        {
        }
        public OfcBar3DSeriesType(int alpha)
            : base(OfcSeriesType.SERIES_BAR_3D, alpha)
        {

        }
        public OfcBar3DSeriesType(
            int alpha,
            string color,
            string text)
            : base(OfcSeriesType.SERIES_BAR_3D, alpha, color, text)
        {

        }
        public OfcBar3DSeriesType(
            int alpha,
            string color,
            string text,
            int size
            )
            : base(OfcSeriesType.SERIES_BAR_3D, alpha, color, text, size)
        {

        }
        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "=" + Alpha;

            if (!string.IsNullOrEmpty(Color))
            {
                value += "," + Color;
            }
            if (!string.IsNullOrEmpty(Text))
            {
                value += "," + Text + "," + ((int)FontSize);
            }

            value += "&\r\n";

            return value;
        }
    }
}