namespace ChartControl.Ofc
{
    public class OfcFilledBarSeriesType : AbstractOfcBarSeriesType
    {
        private string outlineColor = "";

        public OfcFilledBarSeriesType()
            : base(OfcSeriesType.SERIES_FILLED_BAR)
        {
        }
        public OfcFilledBarSeriesType(int alpha)
            : base(OfcSeriesType.SERIES_FILLED_BAR, alpha)
        {
        }
        public OfcFilledBarSeriesType(
            int alpha,
            string color,
            string outlineColor,
            string text)
            : base(OfcSeriesType.SERIES_FILLED_BAR, alpha, color, text)
        {
            this.outlineColor = outlineColor;
        }

        public string OutlineColor
        {
            get { return outlineColor; }
            set { outlineColor = value; }
        }

        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "=" + Alpha;

            if (!string.IsNullOrEmpty(Color))
                value += "," + Color;

            if (!string.IsNullOrEmpty(OutlineColor))
            {
                value += "," + OutlineColor;
            }
            if (!string.IsNullOrEmpty(Text))
            {
                value += "," + Text + "," + FontSize;
            }

            value += "&\r\n";

            return value;
        }
    }
}