namespace ChartControl.Ofc
{
    public class OfcGraphColor : IOfcRenderer
    {
        private OfcGraphAxisColor xAxisColor = new OfcGraphAxisColor(OfcGraphAxisColor.X_AXIS_COLOR);
        private OfcGraphAxisColor yAxisColor = new OfcGraphAxisColor(OfcGraphAxisColor.Y_AXIS_COLOR);
        private OfcGraphGridColor xGridColor = new OfcGraphGridColor(OfcGraphGridColor.X_GRID_COLOR);
        private OfcGraphGridColor yGridColor = new OfcGraphGridColor(OfcGraphGridColor.Y_GRID_COLOR);
        private OfcGraphBgColor bgColor = new OfcGraphBgColor();


        public OfcGraphAxisColor XAxisColor
        {
            get { return xAxisColor; }
            set { xAxisColor = value; }
        }

        public OfcGraphAxisColor YAxisColor
        {
            get { return yAxisColor; }
            set { yAxisColor = value; }
        }

        public OfcGraphGridColor XGridColor
        {
            get { return xGridColor; }
            set { xGridColor = value; }
        }

        public OfcGraphGridColor YGridColor
        {
            get { return yGridColor; }
            set { yGridColor = value; }
        }

        public OfcGraphBgColor BgColor
        {
            get { return bgColor; }
            set { bgColor = value; }
        }

        public string Render()
        {

            return xAxisColor.Render()
                   + yAxisColor.Render()
                   + xGridColor.Render()
                   + yGridColor.Render()
                   + bgColor.Render();
        }
    }
}