namespace ChartControl.Ofc
{
    public class OfcGraphLabelStyle : IOfcRenderer
    {
        public const string X_LABEL_STYLE = "x_label_style";
        public const string Y_LABEL_STYLE = "y_label_style";

        private string labelStyle;
        private string color = "#000000";
        private int size = -1;
        private int orientation = 0;

        public OfcGraphLabelStyle(string labelStyle)
        {
            this.labelStyle = labelStyle;
        }

        public string LabelStyle
        {
            get { return labelStyle; }
            set { labelStyle = value; }
        }

        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public int Size
        {
            get { return size; }
            set { size = value; }
        }

        public int Orientation
        {
            get { return orientation; }
            set { orientation = value; }
        }

        public string Render()
        {
            if (Size > 0)
            {
                string o = "";
                if (labelStyle.Equals(X_LABEL_STYLE))
                {
                    o = "," + Orientation;
                }

                return "&" + labelStyle + "="
                       + Size
                       + "," + Color
                       + o;
            }
            return "";
        }
    }
}