namespace ChartControl.Ofc
{
    public class OfcGraphTicks : IOfcRenderer
    {
        public const string X_TICKS = "x_ticks";
        public const string Y_TICKS = "y_ticks";

        private readonly string ticks;
        private int size = -1;

        public OfcGraphTicks(string graphTicks)
        {
            if (graphTicks.Equals(Y_TICKS))
            {
                size = 5;
            }
            ticks = graphTicks;
        }

        public int Size
        {
            get { return size; }
            set { size = value; }
        }

        public string Render()
        {
            if (ticks.Equals(Y_TICKS))
            {
                return "&" + ticks + "=5,10," + size + "&\r\n";
            }
            if (size > 0)
            {
                return "&" + ticks + "=" + size + "&\r\n";
            }
            return "";
        }
    }
}