namespace ChartControl.Ofc
{
    public class OfcLineAreaSeriesType : AbstractOfcLineSeriesType
    {
        private string alpha;
        public OfcLineAreaSeriesType()
            : base(OfcSeriesType.SERIES_TYPE_AREA_HOLLOW)
        {
        }
        public OfcLineAreaSeriesType(int width)
            : base(OfcSeriesType.SERIES_TYPE_AREA_HOLLOW, width)
        {
        }
        public OfcLineAreaSeriesType(
            int width,
            string color,
            string text)
            : base(OfcSeriesType.SERIES_TYPE_AREA_HOLLOW, width, color, text)
        {
        }
        public OfcLineAreaSeriesType(
            int width,
            string color,
            string text,
            int fontSize,
            int dotSize,
            string alpha)
            : base(OfcSeriesType.SERIES_TYPE_AREA_HOLLOW, width, color, text, fontSize, dotSize)
        {
            this.alpha = alpha;
        }

        public string Alpha
        {
            get { return alpha; }
            set { alpha = value; }
        }

        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "=" + Width
                     + "," + DotSize
                     + "," + Color
                     + "," + Alpha;

            if (!string.IsNullOrEmpty(Text))
            {
                value += "," + Text + "," + FontSize;
            }
            value += "&\r\n";

            return value;
        }
    }
}