namespace ChartControl.Ofc
{
    public class OfcLineDotSeriesType : AbstractOfcLineSeriesType
    {
        public OfcLineDotSeriesType()
            : base(OfcSeriesType.SERIES_TYPE_LINE_DOT)
        {
        }
        public OfcLineDotSeriesType(int width)
            : base(OfcSeriesType.SERIES_TYPE_LINE_DOT, width)
        {
        }
        public OfcLineDotSeriesType(
            int width,
            string color,
            string text)
            : base(OfcSeriesType.SERIES_TYPE_LINE_DOT, width, color, text)
        {
        }
        public OfcLineDotSeriesType(
            int width,
            string color,
            string text,
            int fontSize,
            int dotSize)
            : base(OfcSeriesType.SERIES_TYPE_LINE_DOT, width, color, text, fontSize, dotSize)
        {
        }
        public OfcLineDotSeriesType(OfcSeriesType type)
            : base(type)
        {
        }
        public OfcLineDotSeriesType(OfcSeriesType type, int width)
            : base(type, width)
        {
        }
        public OfcLineDotSeriesType(OfcSeriesType type, int width, string color, string text)
            : base(type, width, color, text)
        {
        }
        public OfcLineDotSeriesType(OfcSeriesType type, int width, string color, string text, int fontSize, int dotSize)
            : base(type, width, color, text, fontSize, dotSize)
        {
        }

        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "="
                     + Width
                     + "," + Color
                     + "," + Text;

            if (FontSize > 0)
            {
                value += "," + FontSize + "," + DotSize;
            }
            value = value + "&\r\n";

            return value;
        }
    }
}