namespace ChartControl.Ofc
{
    public class OfcLineSeriesType : AbstractOfcLineSeriesType
    {
        private int circles = 0;

        public OfcLineSeriesType()
            : base(OfcSeriesType.SERIES_TYPE_LINE)
        {
        }

        public OfcLineSeriesType(int width)
            : base(OfcSeriesType.SERIES_TYPE_LINE, width)
        {
        }
        public OfcLineSeriesType(
            int width,
            string color,
            string text)
            : base(OfcSeriesType.SERIES_TYPE_LINE, width, color, text)
        {
        }
        public OfcLineSeriesType(
            int width,
            string color,
            string text,
            int circles)
            : base(OfcSeriesType.SERIES_TYPE_LINE, width, color, text)
        {
            this.circles = circles;
        }


        public int Circles
        {
            get { return circles; }
            set { circles = value; }
        }

        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "=";

            if (Width > 0)
            {
                value += Width + "," + Color;
            }
            if (!string.IsNullOrEmpty(Text))
            {
                value += "," + Text + "," + FontSize;
            }
            if (Circles > 0)
            {
                value += "," + Circles;
            }

            value = value + "&\r\n";

            return value;
        }
    }
}