﻿using System;
using System.Collections.Generic;
using ChartControl.Ofc;

namespace FlashDemo
{
    public partial class _Default : System.Web.UI.Page
    {
        #region Data
        private static double[] data01 = new Double[]
            {
                1.4,
                6.3,
                7.2,
                4.1,
                5.4,
                3.8,
                1.5,
                4.4,
                8.9,
                8.6,
                8.7,
                2.4,
                3.5,
            };

        private static Double[] data02 = new Double[]
            {
                3.5,
                1.4,
                2.3,
                8.4,
                9.6,
                4.4,
                3.8,
                1.5,
                2.8,
                8.3,
                5.4,
                8.7,
                1.4
            };
        private static String[] labels = new String[]
            {
                "Jan",
                "Feb",
                "Mar",
                "Apr",
                "May",
                "Jun",
                "Jul",
                "Aug",
                "Sep",
                "Oct",
                "Nov",
                "Dec",
                "Jan"
            };
        private static Double[] data03 = new Double[]
            {
                13.5,
                11.4,
                12.3,
                18.4,
                19.6,
                14.4,
                13.8,
                11.5,
                12.8,
                18.3,
                15.4,
                18.7,
                11.4
            };

        private static Double[] data04 = new Double[]
            {
                13.5,
                11.4,
                12.3,
                18.4,
                19.6,
                14.4,
                13.8,
                11.5,
                12.8,
                18.3,
                15.4,
                18.7,
                11.4
            };
        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(Request.Params["graph"]))
            {
                OfcGraphController controller = new OfcGraphController();
                controller.Title.Text = "Example 01";
                controller.Title.Size = 12;
                
                controller.Labels.Values = new List<string>(labels);
                controller.YLegend.Text = "No. of tasks";
                controller.YLegend.Color = "#8b0000";
                controller.YLegend.Size = 12;
                controller.XLegend.Text = "Months";
                controller.XLegend.Color = "#8b0000";
                controller.XLegend.Size = 12;
                controller.Color.BgColor.Color = "#FFFFFF";
                controller.Color.XAxisColor.Color = "#e3e3e3";
                controller.Color.YAxisColor.Color = "#e3e3e3";
                controller.Color.XGridColor.Color = "#e3e3e3";
                controller.Color.YGridColor.Color = "#e3e3e3";

                DefaultOfcGraphDataModel<double> model = new DefaultOfcGraphDataModel<double>();
                model.Data.AddRange(data01);
                model.SeriesType = new OfcLineHollowSeriesType(3, "#8b0000", "Test", 10, 6);
                controller.Add(model);

                model = new DefaultOfcGraphDataModel<double>();
                model.Data.AddRange(data02);
                model.SeriesType = new OfcLineDotSeriesType(3, "#00ff00", "Test 2", 10, 6);
                controller.Add(model);

                model = new DefaultOfcGraphDataModel<double>();
                model.Data.AddRange(data03);
                model.SeriesType = new OfcLineSeriesType(2, "#8b0000", "Example", 4);
                controller.Add(model);

                model = new DefaultOfcGraphDataModel<double>();
                model.Data.AddRange(data04);
                model.SeriesType = new OfcFilledBarSeriesType(50, "#8b0000", "#8b0000", "Filled Bar");
                controller.Add(model);

                Response.Clear();
                Response.ClearHeaders();
                Response.ContentType = "text/plain";
                Response.Write(controller.Render());
                Response.End();
            }
        }
    }
}
